Summary:	mpop retrieves mails from POP3 mailboxes
Summary(pl.UTF-8):	mpop - pobieranie listów ze skrzynek POP3
Name:		mpop
Version:	1.4.16
Release:	1
License:	GPL v3
Group:		Applications/Mail
#Source0Download: https://marlam.de/mpop/download/
Source0:	https://marlam.de/mpop/releases/%{name}-%{version}.tar.xz
# Source0-md5:	95ef54a80cc612e05f2ad57da0030b68
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-info.patch
URL:		https://marlam.de/mpop/
BuildRequires:	gettext-tools
# also openssl or libtls possible
BuildRequires:	gnutls-devel >= 3.4
BuildRequires:	gsasl-devel
BuildRequires:	libsecret-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mpop is a small, fast, and portable POP3 client. Its features include
header-based email filtering (filter junk mail before downloading it),
delivery to mbox files, maildir folders, or a mail delivery agent, a
very fast POP3 implementation, many authentication methods, and good
support for TLS/SSL.

%description -l pl.UTF-8
mpop to mały, szybki i przenośny klient POP3. Jego możliwości obejmują
filtrowanie listów w oparciu o nagłówki (filtrowanie niechcianej
poczty przed jej ściągnięciem), dostarczanie do plików mbox albo MDA,
bardzo szybką implementację POP3, wiele metod uwierzytelniania oraz
dobrą obsługę TLS/SSL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS NOTES README THANKS doc/mpoprc.example
%attr(755,root,root) %{_bindir}/mpop
%attr(755,root,root) %{_bindir}/mpopd
%{_infodir}/mpop.info*
%{_mandir}/man1/mpop.1*
%{_mandir}/man1/mpopd.1*
%changelog
* Thu Jul 14 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mpop.git;a=log;h=master

* Thu Jul 14 2022 Jakub Bogusz <qboosh@pld-linux.org> cc98e1c
- new URLs, updated to 1.4.16
- added info patch (adjust direntry for PLD standard)

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> c63d6fb
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Wed Sep 30 2015 Karol Krenski <charles@pld-linux.org> c964d00
- updated to 1.2.2

* Wed Sep 30 2015 Karol Krenski <charles@pld-linux.org> 0c0dea1
- updated to 1.0.29

* Wed May 02 2012 Karol Krenski <charles@pld-linux.org> 59b0db3
- adapterized

* Wed May 02 2012 Karol Krenski <charles@pld-linux.org> 18973fe
- up to 1.0.27

* Sun Jan 08 2012 Karol Krenski <charles@pld-linux.org> 09103d0
- up to 1.0.26

* Mon Oct 17 2011 Karol Krenski <charles@pld-linux.org> 08796d5
- up to 1.0.25

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5adbf25
- release 3

* Mon Aug 29 2011 Elan Ruusamäe <glen@pld-linux.org> add2adf
- fix-info-dir

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> a264f33
- updates to 1.0.24

* Tue Jan 18 2011 Karol Krenski <charles@pld-linux.org> 182b937
- up to 1.0.23

* Fri Dec 31 2010 Karol Krenski <charles@pld-linux.org> 95a6018
- up to 1.0.22

* Mon Mar 22 2010 Karol Krenski <charles@pld-linux.org> 1d5640a
- updated to 1.0.20

* Thu Oct 29 2009 Karol Krenski <charles@pld-linux.org> bb50b55
- up to 1.0.19

* Tue Sep 08 2009 Karol Krenski <charles@pld-linux.org> 73e477a
- up to 1.0.18

* Sat Apr 11 2009 Karol Krenski <charles@pld-linux.org> 11928eb
- updated to 1.0.17

* Sun Dec 28 2008 Karol Krenski <charles@pld-linux.org> 987a878
- updated to 1.0.16

* Sat Sep 20 2008 Karol Krenski <charles@pld-linux.org> 12f6f3d
- updated to 1.0.15

* Mon Jun 16 2008 Karol Krenski <charles@pld-linux.org> 9e71152
- updated to 1.0.14

